# NestedTableOptimisticActions

**Category:** Base Components/Collections/NestedTable

## API

### Overview

Extends the standard optimistic actions API with nested-table-specific operations. Provides `updateMany`, `updateOne`, `deleteMany`, and `deleteOne` methods that accept a `propagate` parameter to cascade changes to child nodes. Access via `nodeState.optimisticActions`.

### Props

| Prop | Type | Required | Default | Description |
|------|------|----------|---------|-------------|
| `updateMany` | `<R>(items: T[], params: NestedUpdateManyParams<T, R>) => void` | Yes | - | Updates multiple items @param items - The items to update. @param params - Additional parameters for the update operation. @param params.propagate - Indicates whether to propagate the update children nodes @param params.patch - Partial data to patch the items with. |
| `updateOne` | `<R>(item: T, params: NestedUpdateManyParams<T, R>) => void` | Yes | - | Updates one item @param item - The items to update. @param params - Additional parameters for the update operation. @param params.propagate - Indicates whether to propagate the update children nodes @param params.patch - Partial data to patch the items with. |
| `deleteMany` | `<R>(items: T[], params: NestedDeleteManyParams<T, R>) => void` | Yes | - | Deletes multiple items and their descendants @param items - An array of items to delete. @param params - Additional parameters for the delete operation. |
| `deleteOne` | `<R>(item: T, params: NestedDeleteManyParams<T, R>) => void` | Yes | - | Deletes one item and its descendants @param item - An array of items to delete. @param params - Additional parameters for the delete operation. |
| `createOne` | `(item: T, params: CreateManyParams<T>) => void` | Yes | - | Creates a single item in the collection. @param item - The item to create. @param params - Additional parameters for the operation. |
| `createMany` | `(items: T[], params: CreateManyParams<T>) => void` | Yes | - | Creates multiple items in the collection. @param items - The items to create. @param params - Additional parameters for the operation. |

